// Mr. General I/O pin definitions for Diecimila, Duemilanove, Nano

#define IRleft            2  // Compound Eye Left      - analog  input    A2
#define IRright           3  // Compound Eye Right     - analog  input    A3       
#define IRup              4  // Compound Eye Up        - analog  input    A4
#define IRdown            5  // Compound Eye Down      - analog  input    A5
#define IRleds            0  // Compound Eye LEDs      - digital output   D0

#define neckleftrightpin  1  // PAN  Servo             - digital output   D1
#define neckupdownpin     2  // TILt Servo             - digital output   D2
#define leftmotorpin      3  // Left  Motor Servo      - digital output   D3
#define rightmotorpin     4  // Right Motor Servo      - digital output   D4

#define rightfrontsenpin 12  // Front Right Sensor     - digital input   D12
#define leftfrontsenpin  11  // Front Left  Sensor     - digital input   D11
#define leftrearsenpin   10  // Rear  Left  Sensor     - digital input   D10
#define rightrearsenpin   9  // Rear  Right Sensor     - digital input    D9

#define rightfrontLED     5  // Front Right  LEDs      - digital output   D5
#define leftfrontLED      6  // Front Left   LEDs      - digital output   D6
#define leftrearLED       7  // Rear  Left   LEDs      - digital output   D7
#define rightrearLED      8  // Rear  Right  LEDs      - digital output   D8

#define Speaker          13  // Speaker                - digital output  D13


